### Struct

# GObject TypeClass

#### Description [src]

    struct GTypeClass {
      /* No available fields */
    }

An opaque structure used as the base of all classes.

#### Functions

###### g_type_class_adjust_private_offset

No description available.

###### g_type_class_get

Retrieves the type class of the given `type`.

since: 2.84

###### g_type_class_peek

Retrieves the class for a give type.

###### g_type_class_peek_static

A more efficient version of `g_type_class_peek()` which works only for static types.

since: 2.4

###### g_type_class_ref

Increments the reference count of the class structure belonging to `type`.

deprecated: 2.84

#### Instance methods

###### g_type_class_add_private

Registers a private structure for an instantiatable type.

deprecated: 2.58 since: 2.4

###### g_type_class_get_instance_private_offset

Gets the offset of the private data for instances of `g_class`.

since: 2.38

###### g_type_class_get_private

No description available.

###### g_type_class_peek_parent

Retrieves the class structure of the immediate parent type of the class passed in.

###### g_type_class_unref

Decrements the reference count of the class structure being passed in.

deprecated: 2.84

###### g_type_class_unref_uncached

A variant of `g_type_class_unref()` for use in `GTypeClassCacheFunc` implementations.

deprecated: 2.84